ilfind(1)

NAME
ilfind - the Intermediate Language (IL) name find utility

SYNOPSIS
ilfind [ options ] pattern input ...

DESCRIPTION
Ilfind searches for pattern within the supplied input files. Each input file must be an IL object file (.obj), an IL executable (.exe), or an IL dynamic link library (.dll). For each assembly, namespace, class, field, method, event, or property that matches the pattern, a line is written to standard output describing the match.

OPTIONS

-w, --whole-string
    Match the whole pattern string against names in the input files. This is the default. For example, the pattern `ABC' will match classes, fields, and methods called `ABC', but will not match items called `ABCD'.

-s, --sub-string
    Match the pattern against sub-strings of names in the input files. For example, the pattern `ABC' will match any item that contains `ABC' within its name.

-f, --file-regex
    Use a file-like regular expression matching scheme. This is the default. Patterns can use `?' and `*' to match a single character or multiple characters. Patterns can use the characters `[' and `]' to group a set of alternative characters. This pattern syntax is similar to that used to match filenames in shells such as sh(1) and csh(1).

-g, --grep-regex
    Use a regular expression matching scheme similar to grep(1). Note: the `^' and `$' characters will be implicitly prepended and appended to the pattern if whole string matching is enabled (`-w').

-n, --no-regex
    Do not use regular expression matching. This will perform a simple identity check against names (`-w') or a simple sub-string check (`-s').

-i, --ignore-case
    Ignore case when matching names against pattern.

-p, --public-only
    Search only the classes that are publicly accessible.

--help
    Print a usage message for the ilfind program.

-v, --version
    Print the version of the ilfind program.

--  Marks the end of the command-line options. The next argument is the pattern. You may need to use this if your pattern begins with '-'. e.g. "ilfind -- -name input.obj".

AUTHOR
Written by Southern Storm Software, Pty Ltd. http://www.southern-storm.com.au/

SEE ALSO
ilasm(1), ildasm(1), ilnative(1), ilsize(1), cscc(1), size(1), grep(1), sh(1), csh(1)